package crypto

import (
	"crypto/md5"
	"crypto/sha1"
	"crypto/sha256"
	"fmt"
)

// MD5 回傳md5加密
func MD5(v string) string {
	return fmt.Sprintf("%x", md5.Sum([]byte(v)))
}

// SHA1 回傳sha1加密
func SHA1(v string) string {
	return fmt.Sprintf("%x", sha1.Sum([]byte(v)))
}

// SHA256 回傳sha256加密
func SHA256(v string) string {
	return fmt.Sprintf("%x", sha256.Sum256([]byte(v)))
}
